import { inject as c, ref as a, watch as r, openBlock as _, createElementBlock as l, Fragment as d, createElementVNode as t, renderSlot as m, pushScopeId as p, popScopeId as u } from "vue";
import { _ as g } from "./DashboardPlugin-2e4f6b9c.js";
const w = (e) => (p("data-v-04a1c75d"), e = e(), u(), e), f = { class: "content-header stick-to-top tw-flex tw-flex-row tw-items-center tw-justify-between tw-h-10 tw-p-1" }, h = /* @__PURE__ */ w(() => /* @__PURE__ */ t("div", { class: "metadata-imgV" }, null, -1)), v = {
  ref: "instance",
  class: "viewer-img"
}, I = ["src"], S = {
  __name: "ImageViewer",
  props: {
    title: {
      type: String,
      required: !0
    },
    imageSrc: {
      type: String
    },
    listening: {
      tyep: Boolean
    }
  },
  emits: ["setTitle"],
  setup(e, { emit: n }) {
    c("emitter");
    const s = e;
    return a(!1), n("setTitle", "MUSE Image Viewer"), r(() => s.listening, (i, o) => {
    }), (i, o) => (_(), l(d, null, [
      t("div", f, [
        m(i.$slots, "default", {}, void 0, !0)
      ]),
      h,
      t("div", v, [
        t("img", {
          src: s.imageSrc
        }, null, 8, I)
      ], 512)
    ], 64));
  }
}, k = /* @__PURE__ */ g(S, [["__scopeId", "data-v-04a1c75d"]]);
export {
  k as default
};
